GoogleSpreadsheet.Activities


#1

Interacts with Google Spreadsheet by calling Google API.
Package: https://gallery.uipath.com/packages/UiPathTeam.GoogleSpreadsheet.Activities/
Code: https://github.com/UiPath/Community.Activities/tree/master/Google%20Spreadsheet


How to read google sheet data in uipath
#2

In which way is this different from Google Spreadsheet Activities ?


#3

@Thorsten, it’s the same thing, only that it got moved to another home :slight_smile:


#4

Hi @Bogdan_Popescu ,

I am trying to install the Google Spreadsheet package in the community version of UiPath Studio, but got stuck on this error:

Unable to resolve dependency ‘Google.Apis (>= 1.29.2)’

Any idea on how I can fix this?


#5

@marius shouldn’t this be solved via upstream sources? Google.API exists on nuget.
Google.Apis (>= 1.29.2)
Google.Apis.Auth (>= 1.29.2)
Google.Apis.Sheets.v4 (>= 1.29.2.1002)


#6

@badita, @bogdanripa, this issue was explained here Google Spreadsheet Activities


#7

@Bogdan_Popescu am i missing something? Those are errors you receive after installing Google.Apis.

My problem is that from UiPath->Package Manager I am not able to install GoogleSpreadsheet.Activities. I though that dependencies should be automatically installed from nuget.org.


#8

The problem is that you already have a ‘Google.Apis’ installed on UiPath Studio’s folder. And that one has a lower version (1.13).

So probably package manager is looking at that one and ignores what nuget.org is providing.
I taught this issue was fixed because I’ve already reported it a long time ago.


#9

Solved.
Community-feed is now configured to download and install dependencies from nuget.org.


#10

I’m also facing the same issue.How to upgrade Google.Api version ?

Thanks,
Tharma KS


#11

hi @badita , @Bogdan_Popescu , I have tried to install google spreadsheet activity from the package manager and still got the error of unable to resolve dependency 'Google.Apis(>=1.29.2). Seem like it did not installed the latest version from nuget.org. Could you please help, is there anything that need to be configured? Thanks in advance!


#12

Hi rpaj,

Can you please make sure that in ‘C:\Program Files (x86)\UiPath\Studio’ you have the right DLLs for Google.Apis? Sometimes you have to do this manually.

We are working on having it work easier.

Thanks,
Bogdan


#13

I replace all the necessary from uipath-community DLLs to uipath studio but it’s keep saying i dont have the right google.api. What can i do?


#14

Hi @haicheviet,

Is your robot connected to the Orchestrator?
If so, can you please disconnect for a bit and try to run again the workflow?

Let me know how it goes.

Thanks,
Bogdan


#15

I already figured to install the google spread by cope all the file.nupkg to the uipath/packages. But when i run read range. It had this problem…
Main has thrown an exception

Source: Read range

Message: The type initializer for ‘Google.Apis.Requests.RequestBuilder’ threw an exception.

Exception Type: TypeInitializationException

System.TypeInitializationException: The type initializer for ‘Google.Apis.Requests.RequestBuilder’ threw an exception. —> System.IO.FileNotFoundException: Could not load file or assembly ‘System.Reflection.TypeExtensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a’ or one of its dependencies. The system cannot find the file specified.
at Google.Apis.Util.UriPatcher.PatchUriQuirks()
at Google.Apis.Requests.RequestBuilder…cctor()
— End of inner exception stack trace —
at GoogleSpreadsheet.Activities.GoogleInteropActivity1.EndExecute(AsyncCodeActivityContext context, IAsyncResult result) at System.Activities.AsyncCodeActivity1.System.Activities.IAsyncCodeActivity.FinishExecution(AsyncCodeActivityContext context, IAsyncResult result)
at System.Activities.AsyncCodeActivity.CompleteAsyncCodeActivityData.CompleteAsyncCodeActivityWorkItem.Execute(ActivityExecutor executor, BookmarkManager bookmarkManager)


#17

Hi badita,
I am new to UiPath. Can you please explain how you solved this issue as I have been getting the same error message while trying to install google spreadsheet activity. Thanks